"Fossies" - the Fresh Open Source Software Archive  

Source code changes of the file "test/distrotest" between
shellcheck-0.8.0.tar.gz and shellcheck-0.9.0.tar.gz

About: ShellCheck is a static analysis and linting tool for sh/bash scripts (written in Haskell).

distrotest  (shellcheck-0.8.0):distrotest  (shellcheck-0.9.0)
skipping to change at line 28 skipping to change at line 28
then re-run with $0 --run to continue. then re-run with $0 --run to continue.
Also note that dist* will be deleted. Also note that dist* will be deleted.
EOF EOF
exit 0 exit 0
} }
echo "Deleting 'dist' and 'dist-newstyle'..." echo "Deleting 'dist' and 'dist-newstyle'..."
rm -rf dist dist-newstyle rm -rf dist dist-newstyle
execs=$(find . -name shellcheck)
if [ -n "$execs" ]
then
die "Found unexpected executables. Remove and try again: $execs"
fi
log=$(mktemp) || die "Can't create temp file" log=$(mktemp) || die "Can't create temp file"
date >> "$log" || die "Can't write to log" date >> "$log" || die "Can't write to log"
echo "Logging to $log" >&3 echo "Logging to $log" >&3
exec >> "$log" 2>&1 exec >> "$log" 2>&1
final=0 final=0
while read -r distro setup while read -r distro setup
do do
[[ "$distro" = "#"* || -z "$distro" ]] && continue [[ "$distro" = "#"* || -z "$distro" ]] && continue
skipping to change at line 66 skipping to change at line 73
final=1 final=1
fi fi
rm -rf "$tmp" rm -rf "$tmp"
done << EOF done << EOF
# Docker tag Setup command # Docker tag Setup command
debian:stable apt-get update && apt-get install -y cabal-install debian:stable apt-get update && apt-get install -y cabal-install
debian:testing apt-get update && apt-get install -y cabal-install debian:testing apt-get update && apt-get install -y cabal-install
ubuntu:latest apt-get update && apt-get install -y cabal-install ubuntu:latest apt-get update && apt-get install -y cabal-install
haskell:latest true haskell:latest true
opensuse/leap:latest zypper install -y cabal-install ghc opensuse/leap:latest zypper install -y cabal-install ghc
fedora:latest dnf install -y cabal-install ghc-template-haskell-devel fi ndutils fedora:latest dnf install -y cabal-install ghc-template-haskell-devel fi ndutils libstdc++-static gcc-c++
archlinux:latest pacman -S -y --noconfirm cabal-install ghc-static base-dev el archlinux:latest pacman -S -y --noconfirm cabal-install ghc-static base-dev el
# Ubuntu LTS # Ubuntu LTS
ubuntu:22.04 apt-get update && apt-get install -y cabal-install
ubuntu:20.04 apt-get update && apt-get install -y cabal-install ubuntu:20.04 apt-get update && apt-get install -y cabal-install
ubuntu:18.04 apt-get update && apt-get install -y cabal-install
ubuntu:16.04 apt-get update && apt-get install -y cabal-install
# Stack on Ubuntu LTS # Stack on Ubuntu LTS
ubuntu:20.04 set -e; apt-get update && apt-get install -y curl && curl -sSL https://get.haskellstack.org/ | sh -s - -f && cd /mnt && exec test/stacktes t ubuntu:22.04 set -e; apt-get update && apt-get install -y curl && curl -sSL https://get.haskellstack.org/ | sh -s - -f && cd /mnt && exec test/stacktes t
EOF EOF
exit "$final" exit "$final"
 End of changes. 5 change blocks. 
2 lines changed or deleted 12 lines changed or added

Home  |  About  |  Features  |  All  |  Newest  |  Dox  |  Diffs  |  RSS Feeds  |  Screenshots  |  Comments  |  Imprint  |  Privacy  |  HTTP(S)